跳转到内容

Cohere Transcribe

集成

模型 id cohere-transcribe
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/cohere-transcribe?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

与示例类似的文件: $0.001 1 API 积分 运行前会测量你的文件 在此页面运行

获取 API 密钥
Cohere 语音转文本 #speech#transcribe#stt

支持 14 种可选语言和可选标点开关的语音转文本模型

Cohere · 文本

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填 audio_url
拖放文件,或

用于转录的音频文件 URL。接受的格式包括 flac、ogg、webm、wav、m4a、mpga、mpeg、mp4 和 mp3。

高级 language · max_new_tokens · punctuation
默认 en

使用以下 ISO 639-1 代码之一识别音频语言:en、fr、de、it、es、pt、el、nl、pl、zh、ja、ko、vi、ar。

默认 256

每个音频块的 token 生成上限。

POST /run/cohere-transcribe?wait=20 报价 → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/cohere-transcribe?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Cohere Transcribe

将来自 `audio_url` 的音频文件(mp3、mp4、mpeg、mpga、m4a、wav、webm、ogg 或 flac)转录为文本。`language` 支持 en、fr、de、it、es、pt、el、nl、pl、zh、ja、ko、vi 或 ar,默认为 en。可关闭 `punctuation`,`max_new_tokens`(1 到 1014)限制每个音频分块的输出。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
audio_url必填 audio
类型url · audio
用于转录的音频文件 URL。接受的格式包括 flac、ogg、webm、wav、m4a、mpga、mpeg、mp4 和 mp3。
language可选
类型enum
默认值en
enfrdeitesptelnlplzhjakoviar
使用以下 ISO 639-1 代码之一识别音频语言:en、fr、de、it、es、pt、el、nl、pl、zh、ja、ko、vi、ar。
punctuation可选
类型boolean
默认值true
控制输出文本是否包含大小写和标点符号。
max_new_tokens可选
类型integer
默认值256
1 – 1,014
每个音频块的 token 生成上限。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "cohere-transcribe",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "text": "string",
    "timings": {}
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
text
string从音频文件转录得到的文本。
timings
object性能计时明细,以秒为单位。

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/cohere-transcribe.md. 所有模型和指南: https://doitong.com/developers/llms.txt